/* amour.js - Amour

-- PreLoader
-- User Agents and Responsive Attributes
-- Stellar
-- Scroll To
-- Slider
-- Portfolio Details - Magnific Popup
-- Placeholders
-- Google Maps

*/

//--// PRELOADER //--//
//<![CDATA[
	$(window).load(function() { // Load Site
		$("#status").fadeOut(); // Status FadeOut
		$("#preloader").delay(350).fadeOut("slow"); // Status Screen FadeOut
	})
//]]>

//--// USER AGENTS AND RESPONSIVE ATTRIBUTES //--//

$(function() {
	
	var userAgent = navigator.userAgent;
	
	if(userAgent.match(/iPad/i)) {
		$('.scroll').css('-webkit-backface-visibility','hidden');
		$('#introSlider li img').css({'width':'auto','height':'18%','min-height':'18%'});
	}
	if(userAgent.match(/iPhone/i)) {
		$('#introSlider li img').css({'min-width':'0','min-height':'0'});
	}
	
	/* if window is less than 768px and is on mobile device remove attribute */
	if($(this).width() < 768 || userAgent.match(/Android/i) || userAgent.match(/BlackBerry/i) || userAgent.match(/IEMobile/i) || userAgent.match(/iPhone|iPad|iPod/i)) {
		$('.scroll').removeAttr('data-stellar-background-ratio','0.25');
	}
	
	/* if window is greater than 767px set attribute */
	else if($(window).width() > 767) {
		$('.scroll').attr('data-stellar-background-ratio','0.25');
		$(window).scroll(function(e){parallax();});
		function parallax(){
			var scrolled = $(window).scrollTop();
			$('#bokeh-1').css('top',(0-(scrolled*2))+'px');
			$('#bokeh-2').css('top',(0-(scrolled*1.25))+'px');
			$('#intro .parallax').css('top',(0-(scrolled*-.75))+'px');
		}
	}
			
});

$(document).ready(function() {

//--// STELLAR JS //--//	
	$(function(){
		$.stellar({
			horizontalScrolling: false,
			verticalOffset: 40
		});
	});
	
//--// SCROLL TO //--//
	$('.scrollto').click(function(event) {
		event.preventDefault();
		$('html,body').animate({scrollTop:$(this.hash).offset().top},1500);
	})
	
//--// SLIDER //--//

	;(function($){
		$.fn.amourSlider = function(options){
			options = $.extend({
				'slideSpeed':3000,
				'fadeSpeed':'normal'
			},options);
			return this.each(function(){
				var $elem = $(this);
				$elem.children().eq(0).appendTo($elem).show();
				setInterval(function(){
					$elem.children().eq(0)
					.hide().appendTo($elem)
					.fadeIn(options.fadeSpeed)
				},options.slideSpeed);
			});
		};
	}(jQuery));
	
	$('#introSlider').amourSlider({'slideSpeed':5000,'fadeSpeed':1500});
	
//--// PORTFOLIO DETAILS - MAGNIFIC POPUP //--//
	$('.view').magnificPopup({
		type:'inline',
		midClick: true,
		mainClass: 'zoom-in'
	});
	
//--// PLACEHOLDERS //--//
	$(function() { $('input, textarea').placeholder(); });
	
//--// GOOGLE MAPS + MAP TOGGLERS //--//
	var btn			= '.showmap',
		show		= 'span.show',
		hide		= 'span.hide',
		closemap	= '.closemap',
		wrapper		= '#map-wrapper';
	
	$('.showmap').click(function(event) {
		event.preventDefault();
		
		var map;
		
		if ($(btn+' '+' '+show).length){
			$(show).remove();
			$(closemap).delay(1500).fadeIn(500);
			$('<span class="hide">Close Map</span>').fadeIn(550).appendTo(btn);
			$(wrapper).slideDown(1500,function initialize() {
				
				$('html,body').animate({scrollTop:$(wrapper).offset().top},1500);
				
				var mapOptions = {
					zoom: 12,
					center: new google.maps.LatLng(40.764486,-73.973057),
					mapTypeId: google.maps.MapTypeId.ROADMAP
				};
				
				map = new google.maps.Map(document.getElementById('map-canvas'),
				mapOptions);
				
			});
			
			google.maps.event.addDomListener(window, 'load', initialize);
		
		} else if ($(btn+' '+' '+hide).length){
			$(hide).remove();
			$(closemap).fadeOut(500);
			$('<span class="show">Open Map</span>').fadeIn(550).appendTo(btn);
			$(wrapper).slideUp(1500);
		
		}
		
	});
	
	// Close Map Button
	$('.close').click(function(event) {
		event.preventDefault();
		
		if ($(closemap).length){
			$(hide).remove();
			$(closemap).fadeOut(500);
			$('<span class="show">Open Map</span>').fadeIn(550).appendTo(btn);
			$('html,body').delay(500).animate({scrollTop:$('#contact').offset().top},1500);
			$(wrapper).slideUp(1500);
		}
		
	});
	
});