// contactform.js

$(document).ready(function() {	
	$('#submit').click(function(e) {
		e.preventDefault();
		$('.error').remove(); // Removes any existing error messages upon submit to avoid any duplicated elements

		// Form Values
		var name			= $('#name').val();
		var email			= $('#email').val();
		var subject			= $('#subject').val();
		var message			= $('#message').val();
		var validatehuman	= $('#validatehuman').val();
		var valid = '';

		// Icons used in form - Seperated into variables for easy customizing
		var errorIcon		= '<i class="icon-attention"></i> ';
		var successIcon		= '<i class="icon-check"></i> ';
		var nobotIcon		= '<i class="icon-alert"></i> ';
		
		var preWrapper		= '<div class="row formresult"><div class="sixteen cols first last">';
		var postWrapper		= '</div></div>';
		
		if (name == '') {
			valid = $('#name').after('<span class="error">' + errorIcon + 'Enter your name</span>');
		}
		if (email == '') {
			valid = $('#email').after('<span class="error">' + errorIcon + 'Email field cannot be empty</span>');
		} else if (!email.match(/^([a-z0-9._-]+@[a-z0-9._-]+\.[a-z]{2,4}$)/i)) {
			valid = $('#email').after('<span class="error">' + errorIcon + 'Enter a valid email address</span>');
		}
		if (subject == '') {
			valid = $('#subject').after('<span class="error">' + errorIcon + 'Enter a subject</span>');
		}
		if (message == '') {
			valid = $('#message').after('<span class="error">' + errorIcon + 'Enter a message</span>');
		}
		if (validatehuman != '') { // if validatehuman returns a value then show error message instead
		
			$('.formresult').remove();
			$('#contact-form').slideUp("normal", function() {
				$('#contact-form').before(preWrapper + '<span class="nobots">' + nobotIcon + 'Humans only, no bots allowed.</span>' + postWrapper);
			});
			
		} else if (valid != '') { // if there are any errors show error message
		
			$('.formresult').remove();
			$('#contact-form').before(preWrapper + '<span class="formerror">' + errorIcon + 'All fields are required.</span>' + postWrapper);
			
		} else if (valid === '') { // if no errors exist show success message and serialize data

			if (!$('#contact-form .sending-loader').length) {
				$('<img class="sending-loader" src="images/loaders/loader.gif" width="16" height="11" alt="Loading">').insertAfter('#contact-form i.icon-mail');
			}
			$('#contact-form i.icon-mail').remove();$('.formerror').remove();$('.success').remove();
			$('#contact-form').delay(2500).slideUp();
			
			var formData = $('#contact-form').serialize();
			submitForm(formData);	
		}
	});
});

function submitForm(formData) {

	$.ajax({
		type: 'POST',
		url: 'process.php',		
		data: formData,
		dataType: 'json',
		cache: false,
		timeout: 7000,
		success: function(data) {
			
			$('#contact-form').before((data.error === true) ? '<div class="row formresult"><div class="sixteen cols first last"><span class="formerror">' + (data.msg) + '</span></div></div>' : '<div class="row formresult"><div class="sixteen cols first last"><span class="success">' + (data.msg) + '</span></div></div>').delay(2500).fadeIn('fast');
			
			if ($('.formresult').length) {
				setTimeout("$('.formresult').fadeOut('fast')", 3500);
			}
			if ($('.sending-loader').length) {
				$('<i class="icon-mail"></i> ').delay(2500).insertAfter('#contact-form img.sending-loader');
				$('#contact-form .sending-loader').remove();
			}

		},
		
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			$('#contact-form').before('<div class="row formresult"><div class="sixteen cols first last"><span class="formerror"> There was an ' + errorThrown + ' error due to a ' + textStatus + ' condition.</span></div></div>').fadeIn('fast');
		},
		
		complete: function(XMLHttpRequest, status) {

			$('form')[0].reset();
		}
	});
};