<?php

sleep(2);

$emailToName	= 'Your name or company name';
$emailTo		= 'email@domain.com';
$phpversion		= phpversion();

date_default_timezone_set('America/New_York');

// Sanitize Data Variables
$name		= trim(stripslashes(htmlspecialchars($_POST['name'])));
$email		= trim(stripslashes(htmlspecialchars($_POST['email'])));
$subject	= trim(stripslashes(htmlspecialchars($_POST['subject'])));
$message	= trim(stripslashes(htmlspecialchars($_POST['message'])));
$validatehuman = $_POST['validatehuman'];

// Icons used in form - Seperated into variables for easy customizing
$errorIcon		= '<i class="icon-attention"></i> ';
$successIcon	= '<i class="icon-check"></i> ';
$nobotIcon		= '<i class="icon-alert"></i> ';

$headers	= "From: " . $name . " <" . $email . ">" . "\r\n";
$headers	.= "MIME-VERSION: 1.0\r\n";
$headers	.= 'Content-type: text/html' . "\r\n";
$headers	.= "X-MAILER: PHP v$phpversion\r\n";
$recipient	= $emailToName . " <" . $emailTo . ">";
$body		= 'Sent from <b>' . $name . '</b> on ' . date('l, F j, Y \a\t g:i a') . '<br><br>' . $message;

if (empty($validatehuman)) {
		
		//Validate data and return success or error message
		$error_message = '';
		
		if (empty($name)) {
			$error_message .= '<span class="error">' . $errorIcon . 'Enter your name</span>';
		}
		if (empty($email)) {
			$error_message .= '<span class="error">' . $errorIcon . 'Email field cannot be empty</span>';
		} else if (filter_var($email, FILTER_VALIDATE_EMAIL) === false) {
			$error_message .= '<span class="error">' . $errorIcon . 'Enter a valid email address</span>';
		}
		if (empty($subject)) {
			$error_message .= '<span class="error">' . $errorIcon . 'Enter a subject</span>';
		}
		if (empty($message)) {
			$error_message .= '<span class="error">' . $errorIcon . 'Enter a message</span>';
		}
		
		if (!empty($error_message)) { // if there are any errors show error message
					$return['error'] = true;
					$return['msg'] = $errorIcon . 'All fields are required.' . $error_message;
					echo json_encode($return);
					exit();
		} else { // if no errors exist send email and show success message
			mail($recipient, $subject, $body, $headers);
			$return['error'] = false;
			$return['msg'] =  $successIcon . 'Thank you ' . $name . ', your message has been sent!';
			echo json_encode($return);
		}
} else { // if validatehuman returns a value then show error message instead
	$return['error'] = true;
	$return['msg'] = $errorIcon . 'Your message wasn\'t sent successfully, please try again.';
	echo json_encode($return);
}

?>